<!--
dm=document;dw=dm.write;wd=window;function check(input){
if(input.mailSelect.options.selectedIndex==0){
alert("提示：请正确选择你使用的邮箱");
return false;}
if(input.name.value==""){
alert("提示：邮箱用户名必须填写！");
input.name.focus();
return false;}
if(input.password.value=="" || input.password.value.length<3){
alert("提示：邮箱密码必须填写完整！");
input.password.focus();
return false;}
else{go();
return false;}}
function makeURL(){
var objForm=document.mailForm;
var intIndex=objForm.mailSelect.options.selectedIndex;
var varInfo=objForm.mailSelect.options[intIndex].value; 
var arrayInfo=varInfo.split(';'); 
var strName=objForm.name.value,varPasswd=objForm.password.value;
var length=arrayInfo.length,strProvider=arrayInfo[0],strIdName=arrayInfo[1],varPassName=arrayInfo[2];
if(length==3){
var strUrl=strProvider+'?'+strIdName+'='+strName+'&'+varPassName+'='+varPasswd; 
}
else{
if(arrayInfo[3]=='suffix') strName+='@'+arrayInfo[4]
var strUrl='<form name="tmpForm" action="'+strProvider+'" method="post"><input type="hidden" name="'+strIdName+'" value="'+strName+'"><input type="hidden" name="'+varPassName+'" value="'+varPasswd+'">';
if(arrayInfo[3]=='hidden') strUrl+='<input type="hidden" name="'+arrayInfo[4]+'" value="'+arrayInfo[5]+'">'
strUrl+='</form>';
}
return strUrl;
}
function go(){
var strLocation=makeURL();
if(strLocation.indexOf('<form name="tmpForm"')!=-1){
outWin=window.open('','','scrollbars=yes,menubar=yes,toolbar=yes,location=yes,status=yes,resizable=yes');
doc=outWin.document;
doc.open('text/html');
doc.write('<html><head><meta http-equiv="Content-Type" content="text/html; charset=gb2312"><title>邮箱登录</title></head><body onload="document.tmpForm.submit()">');
doc.write('<p align="center" style="font-size: 14px; color: #FF0000">欢迎使用HaoDX.com好东西电子邮局快速登录系统，请稍候......</p>'+strLocation+'</body></html>');
doc.close();
}
else window.open(strLocation,'','scrollbars=yes,menubar=yes,toolbar=yes,location=yes,status=yes,resizable=yes');
}
function ClearPass(){
document.mailForm.password.value="";
}
function News_Window(theURL,winName,features) {
window.open(theURL,winName,features);
}
function search4()
{
if(form1.abc0.checked)
window.open("http://search.sina.com.cn/cgi-bin/search/search.cgi?_searchkey="+form1.key.value,"mspg0");
if(form1.abc1.checked)
window.open("http://site.search.sohu.com/sitesearch.jsp?page_index=0&key_word="+form1.key.value,"mspg1");
if(form1.abc2.checked)
window.open("http://psearch.163.com/Psearch?q="+form1.key.value,"mspg2");
if(form1.abc3.checked)
window.open("http://www.google.com/search?hl=zh-CN&lr=lang_zh-CN&q="+form1.key.value,"mspg3");
if(form1.abc4.checked)
window.open("http://cn.search.yahoo.com/search/cn?p="+form1.key.value,"mspg4");
if(form1.abc5.checked)
window.open("http://union.3721.com/search_result.htm?pid=S_265265_2585&fw=union&name="+form1.key.value,"mspg5");
if(form1.abc6.checked)
window.open("http://search.yahoo.com/bin/search?p="+form1.key.value,"mspg6");
if(form1.abc7.checked)
window.open("http://www1.baidu.com/baidu?tn=265com&word="+form1.key.value,"mspg7");
if(form1.abc8.checked)
window.open("http://mp3search.baidu.com/wstsearch?tn=baidump3&ct=134217728&lm=-1&rn=&word="+form1.key.value,"mspg8");
if(form1.abc9.checked)
window.open("http://www.baidu.com/m?rn=10&tn=baidump3lyric&ct=150994944&lm=-1&word="+form1.key.value,"mspg9");
if(form1.abc10.checked)
window.open("http://images.google.com/images?ie=GB2312&hl=zh-CN&q="+form1.key.value,"mspg10");
return false;
}
//-->